Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.pathfinding
Class PathEntity

    java.lang.Object
      net.minecraft.pathfinding.PathEntity

    public class PathEntity

extends Object

Constructor Summary
`PathEntity(PathPoint[] par1ArrayOfPathPoint)`

Method Summary
`int` | `getCurrentPathIndex()`
`int` | `getCurrentPathLength()`
`PathPoint` | `getFinalPathPoint()` returns the last PathPoint of the Array
`PathPoint` | `getPathPointFromIndex(int par1)` return the PathPoint located at the specified PathIndex, usually the current one
`Vec3` | `getPosition(Entity par1Entity)` returns the current PathEntity target node as Vec3D
`Vec3` | `getVectorFromIndex(Entity par1Entity, int par2)` Gets the vector of the PathPoint associated with the given index.
`void` | `incrementPathIndex()` Directs this path to the next point in its array
`boolean` | `isDestinationSame(Vec3 par1Vec3)` Returns true if the final PathPoint in the PathEntity is equal to Vec3D coords.
`boolean` | `isFinished()` Returns true if this path has reached the end
`boolean` | `isSamePath(PathEntity par1PathEntity)` Returns true if the EntityPath are the same.
`void` | `setCurrentPathIndex(int par1)`
`void` | `setCurrentPathLength(int par1)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PathEntity

    public PathEntity(PathPoint[] par1ArrayOfPathPoint)

Method Detail

### incrementPathIndex

    public void incrementPathIndex()

  Directs this path to the next point in its array

### isFinished

    public boolean isFinished()

  Returns true if this path has reached the end

### getFinalPathPoint

    public PathPoint getFinalPathPoint()

  returns the last PathPoint of the Array

### getPathPointFromIndex

    public PathPoint getPathPointFromIndex(int par1)

  return the PathPoint located at the specified PathIndex, usually the current one

### getCurrentPathLength

    public int getCurrentPathLength()

### setCurrentPathLength

    public void setCurrentPathLength(int par1)

### getCurrentPathIndex

    public int getCurrentPathIndex()

### setCurrentPathIndex

    public void setCurrentPathIndex(int par1)

### getVectorFromIndex

    public Vec3 getVectorFromIndex(Entity par1Entity,
                                   int par2)

  Gets the vector of the PathPoint associated with the given index.

### getPosition

    public Vec3 getPosition(Entity par1Entity)

  returns the current PathEntity target node as Vec3D

### isSamePath

    public boolean isSamePath(PathEntity par1PathEntity)

  Returns true if the EntityPath are the same. Non instance related equals.

### isDestinationSame

    public boolean isDestinationSame(Vec3 par1Vec3)

  Returns true if the final PathPoint in the PathEntity is equal to Vec3D coords.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD